Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.sshcommon
Class SSHFileTransferDialogAWT

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      com.mindbright.sshcommon.SSHFileTransferDialogAWT

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, SSHFileTransferDialogControl

public class SSHFileTransferDialogAWT
extends java.awt.Dialog
implements SSHFileTransferDialogControl, java.awt.event.ActionListener

AWT dialog for transferring files.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SSHFileTransferDialogAWT(java.lang.String title, MindTermApp client, SSHFileTransferFactory fileXferFactory)` Constructor Overall, the GUI is composed of two parts: the bottom section (buttons, messages) the file-display section (two file displays & arrow buttons)

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `doShow()`
`com.isnetworks.ssh.FileDisplayControl` | `getLocalFileDisplay()` An instance of FileDisplay for the local system
`com.isnetworks.ssh.FileDisplayControl` | `getRemoteFileDisplay()` An instance of FileDisplay for the remote system
`void` | `logError(java.lang.Exception e)` An exception happened, so show the user the message in the text area
`void` | `refresh()`
`void` | `setLocalChdirCallback(SSHChdirEventHandler ceh)`
`void` | `setLocalFileBrowser(com.isnetworks.ssh.FileBrowser localBrowser)`
`void` | `setRemoteFileBrowser(com.isnetworks.ssh.FileBrowser remoteBrowser)`
`void` | `setVisible(boolean vis)` Initialize the connection to the remote system and start in the SSH home directory on the local system

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getAccessibleContext, getTitle, hide, isModal, isResizable, isUndecorated, paramString, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSHFileTransferDialogAWT

    public SSHFileTransferDialogAWT(java.lang.String title,
                                    MindTermApp client,
                                    SSHFileTransferFactory fileXferFactory)

  Constructor Overall, the GUI is composed of two parts: the bottom section (buttons, messages) the file-display section (two file displays & arrow buttons)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### setLocalFileBrowser

    public void setLocalFileBrowser(com.isnetworks.ssh.FileBrowser localBrowser)

  Specified by:
    `setLocalFileBrowser` in interface `SSHFileTransferDialogControl`

### setRemoteFileBrowser

    public void setRemoteFileBrowser(com.isnetworks.ssh.FileBrowser remoteBrowser)

  Specified by:
    `setRemoteFileBrowser` in interface `SSHFileTransferDialogControl`

### getLocalFileDisplay

    public com.isnetworks.ssh.FileDisplayControl getLocalFileDisplay()

  An instance of FileDisplay for the local system

  Specified by:
    `getLocalFileDisplay` in interface `SSHFileTransferDialogControl`

### getRemoteFileDisplay

    public com.isnetworks.ssh.FileDisplayControl getRemoteFileDisplay()

  An instance of FileDisplay for the remote system

  Specified by:
    `getRemoteFileDisplay` in interface `SSHFileTransferDialogControl`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `SSHFileTransferDialogControl`

### doShow

    public void doShow()

  Specified by:
    `doShow` in interface `SSHFileTransferDialogControl`

### setVisible

    public void setVisible(boolean vis)

  Initialize the connection to the remote system and start in the SSH home directory on the local system

### logError

    public void logError(java.lang.Exception e)

  An exception happened, so show the user the message in the text area

  Specified by:
    `logError` in interface `SSHFileTransferDialogControl`

### setLocalChdirCallback

    public void setLocalChdirCallback(SSHChdirEventHandler ceh)

  Specified by:
    `setLocalChdirCallback` in interface `SSHFileTransferDialogControl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD